Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`im`.`interfaces`.`IClient``

interface documentation

`class IClient(Interface): (source)`

Constructor: `IClient(chatui, logonDeferred)`

View In Hierarchy

Undocumented

Method | `__init__` | No summary
Method | `getGroupConversation` | Undocumented
Method | `getPerson` | Undocumented
Method | `joinGroup` | No summary
Method | `leaveGroup` | No summary
Attribute | `account` | The `IAccount` I am a Client for

def __init__(account, chatui, logonDeferred): (source)

Parameters
account:`IAccount` | Undocumented
chatui:`IChatUI` | Undocumented
logonDeferred:`Deferred` | Will be called back once I am logged on.

def getGroupConversation(name, hide=0): (source)

Undocumented

def getPerson(name): (source)

Undocumented

def joinGroup(groupName): (source)

Parameters
groupName:string | The name of the group to join.

def leaveGroup(groupName): (source)

Parameters
groupName:string | The name of the group to leave.

account = (source)

The `IAccount` I am a Client for